package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class FeishuApprovalsManagerFactory
{
    private FeishuApprovalsManagerFactory()
    {
    }
    public static IFeishuApprovalsManager getRemoteInstance() throws BOSException
    {
        return (IFeishuApprovalsManager)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("5D642406") , IFeishuApprovalsManager.class);
    }
    
    public static IFeishuApprovalsManager getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (IFeishuApprovalsManager)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("5D642406") , IFeishuApprovalsManager.class, objectCtx);
    }
    public static IFeishuApprovalsManager getLocalInstance(Context ctx) throws BOSException
    {
        return (IFeishuApprovalsManager)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("5D642406"));
    }
    public static IFeishuApprovalsManager getLocalInstance(String sessionID) throws BOSException
    {
        return (IFeishuApprovalsManager)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("5D642406"));
    }
}